mono-cil-strip(1)

NAME
Mono CIL strip

SYNOPSIS
mono-cil-strip assembly [output-assembly]

DESCRIPTION
mono-cil-strip is a tool which takes an assembly, and empty its method bodies. This is useful to reduce an assembly size when an assembly has already been compiled using Mono's Ahead Of Time compiler (AOT), where the CIL code is no longer necessary, but the metadata still is.

COPYRIGHT
Copyright (C) 2008 Novell, Inc (http://www.novell.com)

MAILING LISTS
Mailing lists are listed at http://www.mono-project.com/Mailing_Lists

LICENSE
mono-cil-strip is licensed under the MIT/X11 license. Please read the accompayning MIT.X11 file for details.

SEE ALSO
monolinker(1),mkbundle(1),mono(1),mcs(1).